org.etsi.uri._01903.v1_3

## Class RevocationValuesType

- java.lang.Object
- - org.etsi.uri._01903.v1_3.RevocationValuesType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:48:06+02:00",
                 comments="JAXB RI v2.3.7")
      public class RevocationValuesType
      extends Object
      implements Serializable

  Java class for RevocationValuesType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RevocationValuesType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CRLValues" type="{http://uri.etsi.org/01903/v1.3.2#}CRLValuesType" minOccurs="0"/>
               <element name="OCSPValues" type="{http://uri.etsi.org/01903/v1.3.2#}OCSPValuesType" minOccurs="0"/>
               <element name="OtherValues" type="{http://uri.etsi.org/01903/v1.3.2#}OtherCertStatusValuesType" minOccurs="0"/>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RevocationValuesType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CRLValuesType` | `getCRLValues()` Gets the value of the crlValues property.
    `String` | `getId()` Gets the value of the id property.
    `OCSPValuesType` | `getOCSPValues()` Gets the value of the ocspValues property.
    `OtherCertStatusValuesType` | `getOtherValues()` Gets the value of the otherValues property.
    `void` | `setCRLValues(CRLValuesType value)` Sets the value of the crlValues property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setOCSPValues(OCSPValuesType value)` Sets the value of the ocspValues property.
    `void` | `setOtherValues(OtherCertStatusValuesType value)` Sets the value of the otherValues property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RevocationValuesType

          public RevocationValuesType()

  - ### Method Detail

    - #### getCRLValues

          public CRLValuesType getCRLValues()

      Gets the value of the crlValues property.
      Returns:
        possible object is `CRLValuesType`

    - #### setCRLValues

          public void setCRLValues(CRLValuesType value)

      Sets the value of the crlValues property.
      Parameters:
        `value` - allowed object is `CRLValuesType`

    - #### getOCSPValues

          public OCSPValuesType getOCSPValues()

      Gets the value of the ocspValues property.
      Returns:
        possible object is `OCSPValuesType`

    - #### setOCSPValues

          public void setOCSPValues(OCSPValuesType value)

      Sets the value of the ocspValues property.
      Parameters:
        `value` - allowed object is `OCSPValuesType`

    - #### getOtherValues

          public OtherCertStatusValuesType getOtherValues()

      Gets the value of the otherValues property.
      Returns:
        possible object is `OtherCertStatusValuesType`

    - #### setOtherValues

          public void setOtherValues(OtherCertStatusValuesType value)

      Sets the value of the otherValues property.
      Parameters:
        `value` - allowed object is `OtherCertStatusValuesType`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.